OTBCLI_DOMAINTRANSFORM(1)

NAME
otbcli_DomainTransform - OTB DomainTransform application

DESCRIPTION
This is the DomainTransform application, version 5.10.0 Domain Transform application for wavelet and fourier.

Complete documentation: http://www.orfeo-toolbox.org/Applications/DomainTransform.html

  Parameters:

-progress
    <boolean> Report progress

-in <string> Input Image (mandatory) -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-mode
    <string> Mode [fft/wavelet] (mandatory, default value is wavelet)

-mode.fft.shift
    <boolean> Shift fft transform (optional, off by default)

-mode.wavelet.form
    <string> Select wavelet form [haar/db4/db6/db8/db12/db20/sb24/sb44/sym8] (mandatory, default value is haar)

-mode.wavelet.nlevels <int32>
    Number of decomposition levels (mandatory, default value is 2)

-direction
    <string> Direction [forward/inverse] (mandatory, default value is forward)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_DomainTransform -in input.tif -mode.wavelet.form haar -out output_wavelet_haar.tif

SEE ALSO
The full documentation for otbcli_DomainTransform is maintained as a Texinfo manual. If the info and otbcli_DomainTransform programs are properly installed at your site, the command

    info otbcli_DomainTransform

should give you access to the complete manual.